net.sf.jasperreports.engine.fill

## Class JRAbstractExtendedIncrementerFactory

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRAbstractExtendedIncrementerFactory

- All Implemented Interfaces:
    JRExtendedIncrementerFactory, JRIncrementerFactory
  Direct Known Subclasses:
    JRBigDecimalIncrementerFactory, JRByteIncrementerFactory, JRComparableIncrementerFactory, JRDefaultIncrementerFactory, JRDistinctCountExtendedIncrementerFactory, JRDoubleIncrementerFactory, JRFloatIncrementerFactory, JRIntegerIncrementerFactory, JRLongIncrementerFactory, JRShortIncrementerFactory

      public abstract class JRAbstractExtendedIncrementerFactory
      extends java.lang.Object
      implements JRExtendedIncrementerFactory

  Base abstract implementation of `JRExtendedIncrementerFactory`.
  Version:
    $Id: JRAbstractExtendedIncrementerFactory.java 6929 2014-02-25 15:46:46Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRAbstractExtendedIncrementerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRExtendedIncrementer` | `getExtendedIncrementer(byte calculation)` Deprecated. Replaced by `JRExtendedIncrementerFactory.getExtendedIncrementer(CalculationEnum)`.
    `JRIncrementer` | `getIncrementer(byte calculation)` Deprecated. Replaced by `JRExtendedIncrementerFactory.getExtendedIncrementer(CalculationEnum)`.
    `JRIncrementer` | `getIncrementer(CalculationEnum calculation)` This implementation simply calls `getExtendedIncrementer`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.fill.JRExtendedIncrementerFactory

      `getExtendedIncrementer`

- - ### Constructor Detail

    - #### JRAbstractExtendedIncrementerFactory

          public JRAbstractExtendedIncrementerFactory()

  - ### Method Detail

    - #### getIncrementer

          public JRIncrementer getIncrementer(byte calculation)

      Deprecated. Replaced by `JRExtendedIncrementerFactory.getExtendedIncrementer(CalculationEnum)`.
      Specified by:
        `getIncrementer` in interface `JRIncrementerFactory`

    - #### getIncrementer

          public JRIncrementer getIncrementer(CalculationEnum calculation)

      This implementation simply calls `getExtendedIncrementer`.

    - #### getExtendedIncrementer

          public JRExtendedIncrementer getExtendedIncrementer(byte calculation)

      Deprecated. Replaced by `JRExtendedIncrementerFactory.getExtendedIncrementer(CalculationEnum)`.
      Specified by:
        `getExtendedIncrementer` in interface `JRExtendedIncrementerFactory`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com